# Uses of Interface
java.security.Policy.Parameters

Packages that use Policy.Parameters
Package
Description
java.security
Provides the classes and interfaces for the security framework.

- ## Uses of Policy.Parameters in java.security

  Classes in java.security that implement Policy.Parameters
  Modifier and Type
  Class
  Description
  `class`
  `URIParameter`
  A parameter that contains a URI pointing to data intended for a PolicySpi or ConfigurationSpi implementation.
  Methods in java.security that return Policy.Parameters
  Modifier and Type
  Method
  Description
  `Policy.Parameters`
  Policy.`getParameters()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Return `Policy` parameters.
  Methods in java.security with parameters of type Policy.Parameters
  Modifier and Type
  Method
  Description
  `static Policy`
  Policy.`getInstance(String type, Policy.Parameters params)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns a Policy object of the specified type.
  `static Policy`
  Policy.`getInstance(String type, Policy.Parameters params, String provider)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns a `Policy` object of the specified type.
  `static Policy`
  Policy.`getInstance(String type, Policy.Parameters params, Provider provider)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns a `Policy` object of the specified type.